Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate.support
Class HibernateDialectDetectorFactoryBean

    java.lang.Object
      org.codehaus.groovy.grails.orm.hibernate.support.HibernateDialectDetectorFactoryBean

All Implemented Interfaces:
  FactoryBean<String>, InitializingBean

    public class HibernateDialectDetectorFactoryBean

extends Object
implements FactoryBean<String>, InitializingBean

Author:
  Steven Devijver

Constructor Summary
`HibernateDialectDetectorFactoryBean()`

Method Summary
`void` | `afterPropertiesSet()`
`String` | `getObject()`
`Class<String>` | `getObjectType()`
`boolean` | `isSingleton()`
`void` | `setDataSource(DataSource dataSource)`
`void` | `setVendorNameDialectMappings(Properties mappings)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HibernateDialectDetectorFactoryBean

    public HibernateDialectDetectorFactoryBean()

Method Detail

### setDataSource

    public void setDataSource(DataSource dataSource)

### setVendorNameDialectMappings

    public void setVendorNameDialectMappings(Properties mappings)

### getObject

    public String getObject()

  Specified by:
    `getObject` in interface `FactoryBean<String>`

### getObjectType

    public Class<String> getObjectType()

  Specified by:
    `getObjectType` in interface `FactoryBean<String>`

### isSingleton

    public boolean isSingleton()

  Specified by:
    `isSingleton` in interface `FactoryBean<String>`

### afterPropertiesSet

    public void afterPropertiesSet()
                            throws MetaDataAccessException

  Specified by:
    `afterPropertiesSet` in interface `InitializingBean`
  Throws:
    `MetaDataAccessException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD